User Registration
If you do not have a Monochrome account, please register in advance, register address:http(s)://{URL}/{language}/accounts/register?client_id={clientId} Parameter 1. URL The domain name of the Monochrome authorization page, the official environment is: www.monochrome.exchange 2. language Authorization page language, the currently supported content is as follows: en:English ja:Japanese hi:Hindi id:Indonesian ru:Russian es:spanish tr:turkish zh-HK:traditional Chinese zh-CN:Simplified Chinese vi:vietnamese th:Thai 3. clientId The unique identification of the organization, please apply to Monochrome in advance For Example: http://www.monochrome.exchange/en/accounts/register?client_id=DDJ7BLK49YUCL97S Users registered through this url will belong to the institution:DDJ7BLK49YUCL97S
Authorization Link
When the third-party platform requires Monochrome users to authorize certain operations, please jump from the third-party platform page tohttp(s)://{URL}/{language}/accounts/oauth2?response_type=code&client_id={clientId}&redirect_uri={redirectUri}&scope={scope}
Parameter
1. URL
The domain name of the Monochrome authorization page, the official environment is: www.monochrome.exchange
2. language
Authorization page language, the currently supported content is as follows:
en:English
ja:Japanese
hi:Hindi
id:Indonesian
ru:Russian
es:spanish
tr:turkish
zh-HK:traditional Chinese
zh-CN:Simplified Chinese
vi:vietnamese
th:Thai
3. clientId
The unique identification of the organization, please apply to Monochrome in advance
4. redirectUri
The redirected address after successful authorization
5. scope
Authorization scope, obtained from Monochrome together with clientId
For example:
http://www.monochrome.exchange/zh-CN/accounts/oauth2?response_type=code&client_id=DDJ7BLK49YUCL97S&redirect_uri=https%3A%2F%2Fwww.baidu.com&scope=userinfo
Apply Token
GET /public/uaa/oauth2/token?client_id={client_id}&client_secret=${client_secret}&grant_type={grant_type}&code={code}
Parameters
Response
Refresh Token
GET /public/uaa/oauth2/token?client_id={client_id}&client_secret=${client_secret}&grant_type={grant_type}&refresh_token={refresh_token}
Parameters
Response
Create apiKey
POST /user/account/api-key
Response
Get single
GET /spot/v4/order/{orderId}
Parameters
Response
Query single
GET /spot/v4/order
Parameters
Response
Submit order
POST /spot/v4/order
Parameters
Remark
Create a BUY order based on market price, quantity must be null, quoteQty required; Create a SELL order based on market price, quoteQty must be null, quantity required.Limit Flow Rules
20/s/apikeyResponse
Cancell order
DELETE /spot/v4/order/{orderId}
Parameters
Response
Get batch
GET /spot/v4/batch-order
Parameters
reponse field information, refer to the Get single interface
Response
Cancell batch order
DELETE /spot/v4/batch-order
Parameters
Note: The parameters should be placed in the request body in the form of json
Response
Query the current pending order
GET /spot/v4/open-order
Parameters
Limit Flow Rules
10/s/apikeyResponse
Cancel the current pending order
DELETE /spot/v4/open-order
Parameters
Limit Flow Rules
10/s/apikey Note: The parameters should be placed in the request body in the form of jsonResponse
Query historical orders
GET /spot/v4/history-order
Parameters
Limit Flow Rules
10/s/apikeyResponse
Query trade
GET /spot/v4/trade
Parameters
Response
Get a single currency asset
GET /spot/v4/balance
Parameters
Response
Get a list of currency assets
GET /spot/v4/balances
Parameters
Limit Flow Rules
10/s/apikeyResponse

